import {fork} from 'redux-saga/effects';
import {fetchList, fetchItem, pass} from '../services/withdraw';
import {watch, through} from './RESTful';

export default function*() {
    yield fork(through('EDIT_WITHDRAW', pass, ''));
    yield fork(watch('FETCH_WITHDRAW_LIST', fetchList));
    yield fork(watch('FETCH_WITHDRAW', fetchItem));
}
